# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/p3nfs/p3nfs-5.18-r1.ebuild,v 1.3 2005/12/25 14:55:42 flameeyes Exp $

inherit eutils flag-o-matic

DESCRIPTION="Symbian to Unix and Linux communication program"
HOMEPAGE="http://www.koeniglich.de/p3nfs.html"
SRC_URI="http://www.koeniglich.de/packages/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"

IUSE=""
DEPEND="net-nds/portmap
	>=sys-apps/sed-4"

src_unpack() {
	unpack ${A}
	cd ${S}/nfsd

	#Patch to fix bug #89537
	epatch ${FILESDIR}/${P}-fix-defines.patch
}

src_compile() {
	append-ldflags $(bindnow-flags)
	sed -i "s:\$(LDFLAGS):${LDFLAGS}:" ${S}/nfsd/Makefile.in

	econf || die "econf failed"
	emake CFLAGS="${CFLAGS} -Wall -I." || die "emake failed"
}

src_install() {
	emake DESTDIR=${D} install || die "emake install failed"

	dodoc CHANGES README TODO
}

pkg_postinst() {
	einfo
	einfo "You need to install one of the nfsapp-*.sis clients on your"
	einfo "Symbian device to be able to mount it's filesystems."
	einfo
	einfo "Make sure to have portmap running before you start the"
	einfo "p3nfsd server."
	einfo
}
